
Figure - Bug #115293
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开多个应用后台运行，打开多任务管理器，点击任意应用向上滑动，同排
后方应用向前填补，随后变为正常后补
2023-01-13 13:52 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-13

Priority: Normal Due date: 2023-01-31

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301120333

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Reproducibility: Every time Fixed Version: 2023-02-02

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1.打开多个应用后台运行

2.打开多任务管理器

3.点击任意应用向上滑动

【预期结果】

3、异排后补,符合应用开启先后顺序

【实际结果】

3、先会显示同排后补,随后再变为正常后补

History

#1 - 2023-01-13 16:42 - CD APP-王营

- Due date set to 2023-01-31

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-01-30 14:45 - CD APP-王宏

- % Done changed from 0 to 10

■ Current conclusion

已提交代码，等待入库

■ My analysis

dismisstask后由于是原生代码，所以和我们实际的要求不符合，现已完成修改

■ Next action

等待review入库

#3 - 2023-01-31 20:32 - CD APP-王宏
- % Done changed from 10 to 50

#4 - 2023-02-01 09:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178409 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

FW:Launcher:Fix animation problems after dismissTask1.After dispissTask, the placement animation of TaskView does not meet the requirementsTC-RID:

1201-0205302IssueID: TS-R-BUG-115293Change-Id: Id7067e9b72cbefe708db4384701905580590b3e5

#5 - 2023-02-01 09:39 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-02

- Root cause set to AOSP问题

■ Current conclusion

已入库

■ My analysis

AOSP原生问题，recentView需求更改为两行，但是动画效果还是一行的效果

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178409

#6 - 2023-02-02 10:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

2.2

验证通过

#7 - 2023-02-02 10:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

多任务管理器删除应用，后补异常.mp4 9.1 MB 2023-01-13 CD TEST-方永红
